## Test environments
  
* Linux: Ubuntu 18.04.4LTS  (local)
  - R 3.6.3 (production)
  - R 4.2.3 patched (2023-03-29 r84146) (test)
  - R devel (2023-04-02 r84146) (test)
* Windows 7 Enterprise
  - R version 4.2.2 (2022-10-31 ucrt) (test)

  
## R CMD check results
  
  0 ERRORS
  0 WARNINGS
  1 NOTES (new resubmission after archiving)
  
  
## This is a resubmission, after archiving on 2023-04-05


### Changes occurring after submission on 2023-04-13 15:57

```
Dear maintainer,
 
package gmGeostats_0.11.3.tar.gz does not pass the incoming checks automatically, please see the following pre-tests:
Windows: <https://win-builder.r-project.org/incoming_pretest/gmGeostats_0.11.3_20230413_155730/Windows/00check.log>
Status: 1 NOTE
Debian: <https://win-builder.r-project.org/incoming_pretest/gmGeostats_0.11.3_20230413_155730/Debian/00check.log>
Status: 2 NOTEs

Please fix all problems and resubmit a fixed version via the webform.

(...)

Flavor: r-devel-linux-x86_64-debian-gcc
```

Following changes done:

* Check: S3 generic/method consistency, Result: NOTE
Mismatches for apparent methods not registered:
as.directorVector:
  function(x, ...)
as.directorVector.default:
  function(x)
as.directorVector:
  function(x, ...)
as.directorVector.azimuth:
  function(x, D)

as.directorVector renamed to as_directorVector, as it is only an internal function


*  Apparent methods for exported generics not registered:

as.gmEVario.default --> added to NAMESPACE


Apologies for the repeated errors. We cannot reproduce them in our Ubuntu systems, and hence cannot check completely that they disappeared. 
  
  
Additionally, the following words are all correct:

Possibly misspelled words in DESCRIPTION:
  Boogaart (36:10)
  Geostatistics (4:8)
  Tolosana (35:36)
  geostatistical (30:26)
  microstructural (32:51)
  multipoint (34:52)
  

best regards

### Original request

Request from 2023-03-19. All calls to .C() are now explicitly pointing
to symbols instead of function namestrings. Package "gmGeostats" could 
not be uploaded before the archiving deadline because the main dependence 
"compositions" was showing problems as well. 

```
Dear maintainer,

Please see the problems shown on
<https://cran.r-project.org/web/checks/check_results_gmGeostats.html>.

The "DLL requires the use of native symbols" errors in the
r-devel-linux-x86_64-debian-gcc check results are from

r83985 | luke | 2023-03-16 02:31:57 +0100 (Thu, 16 Mar 2023) | 3 lines
Enforce R_forceSymbols for namespaces, but for now only if an
environment variable is set.

which makes R_forceSymbols work correctly, for now provided that env var
R_REALLY_FORCE_SYMBOLS is set.

You can conveniently extract the non-symbols in your package's foreign
function calls via tools:::package_native_routine_registration_db(),
e.g.,

R> tools:::package_native_routine_registration_db("/data/rsync/PKGS/tibble")
  cname                  s n
1 .Call tibble_need_coerce 1

but please note that there may be several such calls in your code.

Please correct before 2023-04-02 to safely retain your package on CRAN.

Best,
-k
```